## elf-dissector 0.0+p24.04+vunstable+git20251028.0923

=== debian/changelog ===
elf-dissector (0.0+p24.04+vunstable+git20251028.0923-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:23:33 +0000

elf-dissector (0.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2019 12:10:07 +0000
