## elf-dissector 0.0+p24.04+vunstable+git20251111.0355

=== debian/changelog ===
elf-dissector (0.0+p24.04+vunstable+git20251111.0355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:55:05 +0000
