=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(auto)
add_subdirectory(targets)
add_subdirectory(tools)
