=== debian/changelog ===
elf-dissector (0.0+p24.04+vunstable+git20260105.1310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:10:46 +0000
