## elf-dissector 0.0+p24.04+vunstable+git20260123.0345

=== debian/changelog ===
elf-dissector (0.0+p24.04+vunstable+git20260123.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:45:39 +0000
