=== debian/control ===
Source: elf-dissector
Section: devel
Priority: optional
Build-Depends: binutils-dev,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules (>= 5.27.0),
               kf6-kitemmodels-dev,
               libcapstone-dev,
               libdw-dev,
               libdwarf-dev,
               libelf-dev,
               libiberty-dev,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Git: https://invent.kde.org/neon/neon-packaging/elf-dissector.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/elf-dissector
Maintainer: Neon CI <neon@kde.org>

Package: elf-dissector
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuplot
Description: Static analysis tool for ELF files
 ELF Dissector is useful if you need to do one or more of the following tasks:
  - Inspecting forward and backward dependencies, on library and symbol level
  - Identifying load-time performance bottlenecks such as expensive static
    constructors or excessive relocations
  - Size profiling of ELF files
 .
 Main features:
  - ELF structure browser
  - Tree map visualization of the size of the various parts of an ELF file
  - Relocation heatmap
  - Built-in disassembler for x86 and AArch64
  - Browser for data type memory layouts extracted from DWARF debug information
  - Forward and backward dependency viewer
