=== debian/rules ===

#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>
%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
